hpp-corbaserver: ConnectedComponent Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
ConnectedComponent Class Reference

`#include <hpp/core_idl/path_planners-idl.hh>`

Inheritance diagram for ConnectedComponent:
[legend]
Collaboration diagram for ConnectedComponent:
[legend]

## Public Types
typedef ConnectedComponent_ptr | _ptr_type
typedef ConnectedComponent_var | _var_type

## Public Member Functions
virtual | ~ConnectedComponent ()
inline ::hpp::core_idl::ConnectedComponent_ptr | _this ()

## Static Public Member Functions
static _ptr_type | _duplicate (_ptr_type)
static _ptr_type | _narrow (::CORBA::Object_ptr)
static _ptr_type | _unchecked_narrow (::CORBA::Object_ptr)
static _ptr_type | _nil ()
static void | _marshalObjRef (_ptr_type, cdrStream &)
static _ptr_type | _unmarshalObjRef (cdrStream &s)
static _ptr_type | _fromObjRef (omniObjRef *o)

## Static Public Attributes
static _core_attr const char * | _PD_repoId

## Member Typedef Documentation

## ◆ _ptr_type

typedef ConnectedComponent_ptr ConnectedComponent::_ptr_type

## ◆ _var_type

typedef ConnectedComponent_var ConnectedComponent::_var_type

## Constructor & Destructor Documentation

## ◆ ~ConnectedComponent()

virtual ConnectedComponent::~ConnectedComponent | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _duplicate()

static _ptr_type ConnectedComponent::_duplicate | ( | _ptr_type |  | ) |
| static

## ◆ _fromObjRef()

static _ptr_type ConnectedComponent::_fromObjRef | ( | omniObjRef * | o | ) |
| inline static

## ◆ _marshalObjRef()

_CORBA_MODULE_END _CORBA_MODULE_END _CORBA_MODULE OBV_hpp _CORBA_MODULE_BEG _CORBA_MODULE core_idl _CORBA_MODULE_BEG _CORBA_MODULE_END _CORBA_MODULE_END void ConnectedComponent::_marshalObjRef | ( | _ptr_type | ,
|  | cdrStream & |
| ) |  |
| inline static

## ◆ _narrow()

static _ptr_type ConnectedComponent::_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _nil()

static _ptr_type ConnectedComponent::_nil | ( |  | ) |
| static

## ◆ _this()

inline ::hpp::core_idl::ConnectedComponent_ptr ConnectedComponent::_this | ( |  | ) |
| inline

## ◆ _unchecked_narrow()

static _ptr_type ConnectedComponent::_unchecked_narrow | ( | ::CORBA::Object_ptr |  | ) |
| static

## ◆ _unmarshalObjRef()

static _ptr_type ConnectedComponent::_unmarshalObjRef | ( | cdrStream & | s | ) |
| inline static

## Member Data Documentation

## ◆ _PD_repoId

_core_attr const char* ConnectedComponent::_PD_repoId
| static

The documentation for this class was generated from the following file:

- src/hpp/core_idl/path_planners-idl.hh